#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    double a[n], p[n], r[n], maxx = 0;

    for(int i = 0; i < n; i++){
        cin >> a[i] >> p[i];
        p[i] = p[i]/100;
        r[i] = 0;
    }

    for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
             if(p[j] >= p[i])
                r[i] += a[j]*p[i];
        }
        if(r[i] > maxx)
            maxx = r[i];
    }
   // cout.precision(3);
    printf("%f", maxx);
    return 0;
}